// Compiled by ClojureScript 1.9.562 {}
goog.provide('cljs.nodejs');
goog.require('cljs.core');
cljs.nodejs.require = require;
cljs.nodejs.process = process;
cljs.nodejs.enable_util_print_BANG_ = (function cljs$nodejs$enable_util_print_BANG_(){
cljs.core._STAR_print_newline_STAR_ = false;

cljs.core._STAR_print_fn_STAR_ = (function() { 
var G__34539__delegate = function (args){
return console.log.apply(console,cljs.core.into_array.call(null,args));
};
var G__34539 = function (var_args){
var args = null;
if (arguments.length > 0) {
var G__34540__i = 0, G__34540__a = new Array(arguments.length -  0);
while (G__34540__i < G__34540__a.length) {G__34540__a[G__34540__i] = arguments[G__34540__i + 0]; ++G__34540__i;}
  args = new cljs.core.IndexedSeq(G__34540__a,0,null);
} 
return G__34539__delegate.call(this,args);};
G__34539.cljs$lang$maxFixedArity = 0;
G__34539.cljs$lang$applyTo = (function (arglist__34541){
var args = cljs.core.seq(arglist__34541);
return G__34539__delegate(args);
});
G__34539.cljs$core$IFn$_invoke$arity$variadic = G__34539__delegate;
return G__34539;
})()
;

cljs.core._STAR_print_err_fn_STAR_ = (function() { 
var G__34542__delegate = function (args){
return console.error.apply(console,cljs.core.into_array.call(null,args));
};
var G__34542 = function (var_args){
var args = null;
if (arguments.length > 0) {
var G__34543__i = 0, G__34543__a = new Array(arguments.length -  0);
while (G__34543__i < G__34543__a.length) {G__34543__a[G__34543__i] = arguments[G__34543__i + 0]; ++G__34543__i;}
  args = new cljs.core.IndexedSeq(G__34543__a,0,null);
} 
return G__34542__delegate.call(this,args);};
G__34542.cljs$lang$maxFixedArity = 0;
G__34542.cljs$lang$applyTo = (function (arglist__34544){
var args = cljs.core.seq(arglist__34544);
return G__34542__delegate(args);
});
G__34542.cljs$core$IFn$_invoke$arity$variadic = G__34542__delegate;
return G__34542;
})()
;

return null;
});
